View Issue Details

IDProjectCategoryView StatusLast Update
0000508XMB1Bugspublic2018-01-18 06:09
ReporterlottosAssigned Tomiqrogroove 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version1.9.8 SP2 
Target Version1.9.11.15Fixed in Version1.9.11.15 
Summary0000508: php 7.1 - polls
Description'If the poll has a vote and tries to display the result, it completely blows up the whole script ending it with fatal error.

This is the reason for it:
As of PHP 7.1.0, applying the empty index operator on a string throws a fatal error. Formerly, the string was silently converted to an array.(PHP Notes)"

- from member Jenny Lee; see
http://forums.xmbforum2.com/viewthread.php?tid=777001&goto=search&pid=1375751
and
http://forums.xmbforum2.com/viewthread.php?tid=777001&goto=search&pid=1375779
TagsNo tags attached.
MySQL Version
PHP Version7.1
Web Server
Browser
Flags
Original ReporterJenny Lee
SVN Revision2718

Activities

miqrogroove

2017-12-21 12:04

administrator   ~0000354

Reviewing the patch from 1.9.11.14 now. So far, I can't see any reason for adding an extra query and changing so many lines of code. This should be a simple initialization fix.

miqrogroove

2017-12-21 12:33

administrator   ~0000355

As previously noted, the patch needed to be simplified. This bug is mainly the result of poorly-chosen variable names in the templates. All we need to do is set the variables correctly.

Issue History

Date Modified Username Field Change
2017-09-21 03:56 lottos New Issue
2017-12-20 08:34 miqrogroove Target Version => 1.9.11.14
2017-12-20 08:34 miqrogroove Original Reporter => Jenny Lee
2017-12-21 12:04 miqrogroove Assigned To => miqrogroove
2017-12-21 12:04 miqrogroove Status new => assigned
2017-12-21 12:04 miqrogroove Note Added: 0000354
2017-12-21 12:33 miqrogroove Severity tweak => major
2017-12-21 12:33 miqrogroove Product Version 1.9.11.13 => 1.9.8 SP2
2017-12-21 12:33 miqrogroove Target Version 1.9.11.14 => 1.9.11.15
2017-12-21 12:33 miqrogroove Note Added: 0000355
2017-12-21 12:39 miqrogroove Status assigned => resolved
2017-12-21 12:39 miqrogroove Resolution open => fixed
2017-12-21 12:39 miqrogroove Fixed in Version => 1.9.11.15
2017-12-21 12:39 miqrogroove SVN Revision => 2718
2018-01-18 06:09 miqrogroove Status resolved => closed